Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QML IntValidator Element

IntValidator instantiates the C++ class QIntValidator

- List of all members, including inherited members

## Properties

- bottom : int
- top : int

## Detailed Description

This element provides a validator for integer values.

IntValidator uses the default locale to interpret the number and will accept locale specific digits, group separators, and positive and negative signs. In addition, IntValidator is always guaranteed to accept a number formatted according to the "C" locale.

## Property Documentation

bottom : int

This property holds the validator's lowest acceptable value. By default, this property's value is derived from the lowest signed integer available (typically -2147483647).

top : int

This property holds the validator's highest acceptable value. By default, this property's value is derived from the highest signed integer available (typically 2147483647).